- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnIkJoint Class Reference

# OpenMayaAnim - API module for animation | FunctionSet classes

Search for all occurrences

## Detailed Description

Function set for joints.

This is the function set for joints.

The transformation matrix for a joint node is below.

- matrix = [S] * [RO] * [R] * [JO] * [IS] * [T]

(where '*' denotes matrix multiplication).

These matrices are defined as follows:

- [S] : scale
- [RO] : rotateOrient (attribute name is rotateAxis)
- [R] : rotate
- [JO] : jointOrient
- [IS] : parentScaleInverse
- [T] : translate

The methods to get the value of these matrices are:

- [S] : getScale
- [RO] : getScaleOrientation
- [R] : getRotation
- [JO] : getOrientation
- [IS] : (the inverse of the getScale on the parent transformation matrix)
- [T] : translation

`#include <MFnIkJoint.h>`

Inheritance diagram for MFnIkJoint:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnIkJoint ()
| Destructor.
| MFnIkJoint ()
| Default constructor.
| MFnIkJoint (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
| MFnIkJoint (const MDagPath &object, MStatus *ret=NULL)
| Constructor.
MObject | create (MObject parent=MObject::kNullObj, MStatus *ReturnStatus=NULL)
| Create a new joint in a skeleton.
MStatus | getOrientation (MQuaternion &quaternion) const
| Get the joint orientation.
MStatus | setOrientation (const MQuaternion &quaternion)
| Set the jointOrient value.
MStatus | getOrientation (MEulerRotation &rotation) const
| Get the orientation of the coordinate axes.
MStatus | setOrientation (const MEulerRotation &rotation)
| Set the orientation of the coordinate axes.
MStatus | getOrientation (double rotation[3], MTransformationMatrix::RotationOrder &order) const
| Get the orientation of the coordinate axes.
MStatus | setOrientation (const double rotation[3], MTransformationMatrix::RotationOrder order)
| Set the orientation of the coordinate axes.
MStatus | getScaleOrientation (MQuaternion &quaternion) const
| Get the orientation of the coordinate axes for rotation.
MStatus | setScaleOrientation (const MQuaternion &quaternion)
| Set the orientation of the coordinate axes for rotation.
MStatus | getScaleOrientation (double rotation[3], MTransformationMatrix::RotationOrder &order) const
| Get the orientation of the coordinate axes for rotation.
MStatus | setScaleOrientation (const double rotation[3], MTransformationMatrix::RotationOrder order)
| Set the orientation of the coordinate axes for rotation.
MStatus | getSegmentScale (double scale[3]) const
| Get the local space scale values for the joint segment (bone).
MStatus | setSegmentScale (const double scale[3])
| Set the local space scale values for the joint segment (bone).
MStatus | getStiffness (double stiffness[3]) const
| Get the stiffness (from 0 to 100.0) for the joint.
MStatus | setStiffness (const double stiffness[3])
| Set the stiffness (from 0 to 100.0) for the joint.
MStatus | getPreferedAngle (double rotation[3]) const
| Get the preferred orientation for this joint (in XYZ order)
MStatus | setPreferedAngle (const double rotation[3])
| Set the preferred orientation for this joint (in XYZ order)
MStatus | getDegreesOfFreedom (bool &freeInX, bool &freeInY, bool &freeInZ) const
| Get degrees of freedom of this joint.
MStatus | setDegreesOfFreedom (bool freeInX, bool freeInY, bool freeInZ)
| Set the degrees of freedom of this joint by specifying which axes are allowed to rotate.
double | minRotateDampXRange (MStatus *ReturnStatus=NULL) const
| Get the minimum of the damping range in X.
double | minRotateDampYRange (MStatus *ReturnStatus=NULL) const
| Get the minimum of the damping range in Y.
double | minRotateDampZRange (MStatus *ReturnStatus=NULL) const
| Get the minimum of the damping range in Z.
double | maxRotateDampXRange (MStatus *ReturnStatus=NULL) const
| Get the maximum of the damping range in X.
double | maxRotateDampYRange (MStatus *ReturnStatus=NULL) const
| Get the maximum of the damping range in Y.
double | maxRotateDampZRange (MStatus *ReturnStatus=NULL) const
| Get the maximum of the damping range in Z.
MStatus | setMinRotateDampXRange (double angle)
| Set the minimum of the damping range in X.
MStatus | setMinRotateDampYRange (double angle)
| Set the minimum of the damping range in Y.
MStatus | setMinRotateDampZRange (double angle)
| Set the minimum of the damping range in Z.
MStatus | setMaxRotateDampXRange (double angle)
| Set the maximum of the damping range in X.
MStatus | setMaxRotateDampYRange (double angle)
| Set the maximum of the damping range in Y.
MStatus | setMaxRotateDampZRange (double angle)
| Set the maximum of the damping range in Z.
double | minRotateDampXStrength (MStatus *ReturnStatus=NULL) const
| Get the minimum of the damping strength in X.
double | minRotateDampYStrength (MStatus *ReturnStatus=NULL) const
| Get the minimum of the damping strength in X.
double | minRotateDampZStrength (MStatus *ReturnStatus=NULL) const
| Get the minimum of the damping strength in X.
double | maxRotateDampXStrength (MStatus *ReturnStatus=NULL) const
| Get the minimum of the damping strength in X.
double | maxRotateDampYStrength (MStatus *ReturnStatus=NULL) const
| Get the minimum of the damping strength in X.
double | maxRotateDampZStrength (MStatus *ReturnStatus=NULL) const
| Get the minimum of the damping strength in X.
MStatus | setMinRotateDampXStrength (double angle)
| Set the maximum of the damping strength in Z.
MStatus | setMinRotateDampYStrength (double angle)
| Set the maximum of the damping strength in Y.
MStatus | setMinRotateDampZStrength (double angle)
| Set the minimum of the damping strength in Z.
MStatus | setMaxRotateDampXStrength (double angle)
| Set the maximum of the damping strength in X.
MStatus | setMaxRotateDampYStrength (double angle)
| Set the maximum of the damping strength in Y.
MStatus | setMaxRotateDampZStrength (double angle)
| Set the maximum of the damping strength in Z.
MString | hikJointName (MStatus *ReturnStatus=NULL) const
| Get the name that the HumanIK solver uses to identify this joint.
| MFnIkJoint (const MObject &object, MStatus *ret=NULL)
| Constructor.
MStatus | getHikJointName (MString &name) const
| NO SCRIPT SUPPORT.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

~MFnIkJoint | ( |  | ) | `[virtual]`

Destructor.

Class destructor.

MFnIkJoint | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnIkJoint | ( | const MDagPath & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given constant MDagPath object.

Parameters:

  [in] | object | The const MDagPath to attach the function set to
  [out] | ReturnStatus | The return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnIkJoint | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kJoint.

Reimplemented from MFnTransform.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnIkJoint".

Reimplemented from MFnTransform.

MObject create | ( | MObject | parent = `MObject::kNullObj`,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Create a new joint in a skeleton.

In maya, skeletons are defined entirely by DAG hierarchy. So, giving the joint you want to attach to as a parent will add this joint to that skeleton.

Parameters:

  [in] | parent | the parent object for this in the dag. A value of NULL specifies the world dag node as parent.
  [out] | ReturnStatus | Status Code (see below)

Returns:
  The parent transform of the new joint

Status Codes:
  - MS::kSuccess The joint was successfully created and added to the DAG
  - MS::kInsufficientMemory Not enough memory available to create the new joint
  - MS::kLicenseFailure Application not licensed for attempted operation
  - MS::kFailure An error occurred adding the new joint to the DAG.

Reimplemented from MFnTransform.

MStatus getOrientation | ( | MQuaternion & | quaternion | ) | const

Search for all occurrences

Get the joint orientation.

This corresponds to the jointOrient attribute on the joint, which is stored internally as a quaternion. It is different from the rotation orientation defined in the transform node. Modifying the jointOrient changes the coordinate axes, which affects how scaling a joint behaves.

The matrix equations used to combine the jointOrient with the other transformation attributes of the joint are described in the description for the MFnIkJoint class.

Parameters:

  [out] | quaternion | the quaternion representing the jointOrient

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The orientation was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

MStatus setOrientation | ( | const MQuaternion & | quaternion | ) |

Search for all occurrences

Set the jointOrient value.

This corresponds to the jointOrient attribute on the joint, which is stored internally as a quaternion. It is different from the rotation orientation defined in the transform node. Modifying the jointOrient changes the coordinate axes, which affects how scaling a joint behaves.

The matrix equations used to combine the jointOrient with the other transformation attributes of the joint are described in the description for the MFnIkJoint class.

Parameters:

  [in] | quaternion | the joint orientation

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The jointOrient was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus getOrientation | ( | MEulerRotation & | rotation | ) | const

Search for all occurrences

Get the orientation of the coordinate axes.

Parameters:

  [out] | rotation | the euler rotation into which we will store the orientation

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The orientation was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

MStatus setOrientation | ( | const MEulerRotation & | rotation | ) |

Search for all occurrences

Set the orientation of the coordinate axes.

Parameters:

  [in] | rotation | the orientation

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The orientation was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus getOrientation | ( | double | rotation[3],
|  | MTransformationMatrix::RotationOrder & | order
| ) |  | const

Search for all occurrences

Get the orientation of the coordinate axes.

Parameters:

  [out] | rotation | the array into which we will store the angles
  [out] | order | storage for the order to do the rotation in

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The orientation was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

MStatus setOrientation | ( | const double | rotation[3],
|  | MTransformationMatrix::RotationOrder | order
| ) |  |

Search for all occurrences

Set the orientation of the coordinate axes.

Parameters:

  [in] | rotation | the orientation
  [in] | order | the order to do the rotation in

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The orientation was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus getScaleOrientation | ( | MQuaternion & | quaternion | ) | const

Search for all occurrences

Get the orientation of the coordinate axes for rotation.

This is equivalent to calling the MFnTransform::rotateOrientation method, and corresponds to the rotateAxis attribute on the joint node.

Parameters:

  [out] | quaternion | the quaternion into which we will store the rotate orientation

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The rotate orientation was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

MStatus setScaleOrientation | ( | const MQuaternion & | quaternion | ) |

Search for all occurrences

Set the orientation of the coordinate axes for rotation.

This is equivalent to calling the MFnTransform::setRotateOrientation method, and corresponds to the rotateAxis attribute on the joint node. The matrix equations used to combine the rotateAxis with the other transformation attributes of the joint are described in the description for the MFnIkJoint class.

Parameters:

  [out] | quaternion | the rotate orientation

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The scale orientation was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus getScaleOrientation | ( | double | rotation[3],
|  | MTransformationMatrix::RotationOrder & | order
| ) |  | const

Search for all occurrences

Get the orientation of the coordinate axes for rotation.

This is equivalent to calling the MFnTransform::rotateOrientation method but returns the Euler rotation rather than the quaternion rotation. The matrix equations used to combine the rotateAxis with the other transformation attributes of the joint are described in the description for the MFnIkJoint class.

Parameters:

  [out] | rotation | the array into which we will store the angles
  [out] | order | storage for the order to do the rotation in

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The rotate orientation was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

MStatus setScaleOrientation | ( | const double | rotation[3],
|  | MTransformationMatrix::RotationOrder | order
| ) |  |

Search for all occurrences

Set the orientation of the coordinate axes for rotation.

This is equivalent to calling the MFnTransform::setRotateOrientation method, and corresponds to the rotateAxis attribute on the joint node. The matrix equations used to combine the rotateAxis with the other transformation attributes of the joint are described in the description for the MFnIkJoint class.

Parameters:

  [in] | rotation | the rotate orientation
  [in] | order | the order to do the rotation in

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The rotate orientation was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus getSegmentScale | ( | double | scale[3] | ) | const

Search for all occurrences

Get the local space scale values for the joint segment (bone).

This is equivalent to calling MFnTransform::getScale.

Parameters:

  [out] | scale | Storage for the scale values

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The scale values were successfully returned
  - MS::kFailure This function set has not been attached to a valid object

MStatus setSegmentScale | ( | const double | scale[3] | ) |

Search for all occurrences

Set the local space scale values for the joint segment (bone).

This is equivalent to calling Ttransform::setScale.

Parameters:

  [in] | scale | the new scale values to set

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The scale values were successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus getStiffness | ( | double | stiffness[3] | ) | const

Search for all occurrences

Get the stiffness (from 0 to 100.0) for the joint.

The stiffness attribute is used by ik solvers to generate a resistance to a joint motion. The higher the stiffness the less it will rotate. Stiffness works in relative sense: it determines the willingness of this joint to rotate with respect to the other joint in the ik chain.

Parameters:

  [out] | stiffness | storage for the stiffness values

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The stiffness was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

MStatus setStiffness | ( | const double | stiffness[3] | ) |

Search for all occurrences

Set the stiffness (from 0 to 100.0) for the joint.

The stiffness attribute is used by ik solvers to generate a resistance to a joint motion. The higher the stiffness the less it will rotate. Stiffness works in relative sense: it determines the willingness of this joint to rotate with respect to the other joint in the ik chain.

Parameters:

  [in] | stiffness | the X, Y, and Z stiffness values

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The stiffness was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus getPreferedAngle | ( | double | rotation[3] | ) | const

Search for all occurrences

Get the preferred orientation for this joint (in XYZ order)

Parameters:

  [out] | rotation | the array into which we will store the angles

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The preferred angles were returned successfully
  - MS::kFailure This function set has not been attached to a valid object

MStatus setPreferedAngle | ( | const double | rotation[3] | ) |

Search for all occurrences

Set the preferred orientation for this joint (in XYZ order)

Parameters:

  [in] | rotation | the array into which we will store the angles

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The preferred angles were successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus getDegreesOfFreedom | ( | bool & | freeInX,
|  | bool & | freeInY,
|  | bool & | freeInZ
| ) |  | const

Search for all occurrences

Get degrees of freedom of this joint.

Parameters:

  [out] | freeInX | the first degree of freedom
  [out] | freeInY | the second degree of freedom
  [out] | freeInZ | the third degree of freedom

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The degrees of freedom values were successfully returned
  - MS::kFailure This function set has not been attached to a valid object

MStatus setDegreesOfFreedom | ( | bool | freeInX,
|  | bool | freeInY,
|  | bool | freeInZ
| ) |  |

Search for all occurrences

Set the degrees of freedom of this joint by specifying which axes are allowed to rotate.

Parameters:

  [in] | freeInX | the first degree of freedom
  [in] | freeInY | the second degree of freedom
  [in] | freeInZ | the third degree of freedom

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The degrees of freedom were successfully set
  - MS::kFailure This function set has not been attached to a valid object

double minRotateDampXRange | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Get the minimum of the damping range in X.

This corresponds to the minRotateDampXRange attribute on the joint.

The minRotateDampRange and minRotateDampStrength are attributes used by ik to apply resistance to a joint rotation as it approaches the lower boundary of its rotation limits. This functionality allows joint motion to slow down smoothly until the joint reaches its rotation limits instead of stopping abruptly. The minRotateDampRange specifies when the deceleration should start, and the minRotateDampStrength defines the rate of deceleration.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  The minimum damping range in X

Status Codes:
  - MS::kSuccess The damping range was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

double minRotateDampYRange | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Get the minimum of the damping range in Y.

This corresponds to the minRotateDampYRange attribute on the joint.

The minRotateDampRange and minRotateDampStrength are attributes used by ik to apply resistance to a joint rotation as it approaches the lower boundary of its rotation limits. This functionality allows joint motion to slow down smoothly until the joint reaches its rotation limits instead of stopping abruptly. The minRotateDampRange specifies when the deceleration should start, and the minRotateDampStrength defines the rate of deceleration.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  The minimum damping range in Y

Status Codes:
  - MS::kSuccess The damping range was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

double minRotateDampZRange | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Get the minimum of the damping range in Z.

This corresponds to the minRotateDampZRange attribute on the joint.

The minRotateDampRange and minRotateDampStrength are attributes used by ik to apply resistance to a joint rotation as it approaches the lower boundary of its rotation limits. This functionality allows joint motion to slow down smoothly until the joint reaches its rotation limits instead of stopping abruptly. The minRotateDampRange specifies when the deceleration should start, and the minRotateDampStrength defines the rate of deceleration.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  The minimum damping range in Z

Status Codes:
  - MS::kSuccess The damping range was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

double maxRotateDampXRange | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Get the maximum of the damping range in X.

This corresponds to the maxRotateDampXRange attribute on the joint.

The minRotateDampRange and minRotateDampStrength are attributes used by ik to apply resistance to a joint rotation as it approaches the upper boundary of its rotation limits. This functionality allows joint motion to slow down smoothly until the joint reaches its rotation limits instead of stopping abruptly. The maxRotateDampRange specifies when the deceleration should start, and the maxRotateDampStrength defines the rate of deceleration.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  The maximum of the damping range in X

Status Codes:
  - MS::kSuccess The damping range was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

double maxRotateDampYRange | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Get the maximum of the damping range in Y.

This corresponds to the maxRotateDampYRange attribute on the joint.

The minRotateDampRange and minRotateDampStrength are attributes used by ik to apply resistance to a joint rotation as it approaches the upper boundary of its rotation limits. This functionality allows joint motion to slow down smoothly until the joint reaches its rotation limits instead of stopping abruptly. The maxRotateDampRange specifies when the deceleration should start, and the maxRotateDampStrength defines the rate of deceleration.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  The maximum of the damping range in Y

Status Codes:
  - MS::kSuccess The damping range was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

double maxRotateDampZRange | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Get the maximum of the damping range in Z.

This corresponds to the maxRotateDampZRange attribute on the joint.

The minRotateDampRange and minRotateDampStrength are attributes used by ik to apply resistance to a joint rotation as it approaches the upper boundary of its rotation limits. This functionality allows joint motion to slow down smoothly until the joint reaches its rotation limits instead of stopping abruptly. The maxRotateDampRange specifies when the deceleration should start, and the maxRotateDampStrength defines the rate of deceleration.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  The maximum of the damping range in Z

Status Codes:
  - MS::kSuccess The damping range was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

MStatus setMinRotateDampXRange | ( | double | angle | ) |

Search for all occurrences

Set the minimum of the damping range in X.

Parameters:

  [in] | angle | The damping range to set

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping range was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus setMinRotateDampYRange | ( | double | angle | ) |

Search for all occurrences

Set the minimum of the damping range in Y.

Parameters:

  [in] | angle | the damping range to set

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping range was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus setMinRotateDampZRange | ( | double | angle | ) |

Search for all occurrences

Set the minimum of the damping range in Z.

Parameters:

  [in] | angle | the damping range to set

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping range was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus setMaxRotateDampXRange | ( | double | angle | ) |

Search for all occurrences

Set the maximum of the damping range in X.

Parameters:

  [in] | angle | the damping range to set

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping range was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus setMaxRotateDampYRange | ( | double | angle | ) |

Search for all occurrences

Set the maximum of the damping range in Y.

Parameters:

  [in] | angle | the damping range to set

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping range was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus setMaxRotateDampZRange | ( | double | angle | ) |

Search for all occurrences

Set the maximum of the damping range in Z.

Parameters:

  [in] | angle | the damping range to set

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping range was successfully set
  - MS::kFailure This function set has not been attached to a valid object

double minRotateDampXStrength | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Get the minimum of the damping strength in X.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping strength value was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

double minRotateDampYStrength | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Get the minimum of the damping strength in X.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping strength value was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

double minRotateDampZStrength | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Get the minimum of the damping strength in X.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping strength value was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

double maxRotateDampXStrength | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Get the minimum of the damping strength in X.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping strength value was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

double maxRotateDampYStrength | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Get the minimum of the damping strength in X.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping strength value was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

double maxRotateDampZStrength | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Get the minimum of the damping strength in X.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping strength value was successfully returned
  - MS::kFailure This function set has not been attached to a valid object

MStatus setMinRotateDampXStrength | ( | double | angle | ) |

Search for all occurrences

Set the maximum of the damping strength in Z.

Parameters:

  [in] | angle | The new damping strength value

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping strength value was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus setMinRotateDampYStrength | ( | double | angle | ) |

Search for all occurrences

Set the maximum of the damping strength in Y.

Parameters:

  [in] | angle | The new damping strength value

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping strength value was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus setMinRotateDampZStrength | ( | double | angle | ) |

Search for all occurrences

Set the minimum of the damping strength in Z.

Parameters:

  [in] | angle | The new damping strength value

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping strength value was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus setMaxRotateDampXStrength | ( | double | angle | ) |

Search for all occurrences

Set the maximum of the damping strength in X.

Parameters:

  [in] | angle | The new damping strength value

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping strength value was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus setMaxRotateDampYStrength | ( | double | angle | ) |

Search for all occurrences

Set the maximum of the damping strength in Y.

Parameters:

  [in] | angle | The new damping strength value

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping strength value was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MStatus setMaxRotateDampZStrength | ( | double | angle | ) |

Search for all occurrences

Set the maximum of the damping strength in Z.

Parameters:

  [in] | angle | The new damping strength value

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The damping strength value was successfully set
  - MS::kFailure This function set has not been attached to a valid object

MString hikJointName | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Get the name that the HumanIK solver uses to identify this joint.

Parameters:

  [out] | ReturnStatus | Status code (see below)

Returns:
  The name used to identify this joint for HumanIK

Status Codes:
  - MS::kSuccess The name was successfully found
  - MS::kFailure The joint is not part of a humanIK handle

MStatus getHikJointName | ( | MString & | name | ) | const

Search for all occurrences

NO SCRIPT SUPPORT.

Get the name that the HumanIK solver uses to identify this joint.

Python Notes

This method is not supported in Python. See the version which returns a string.

Parameters:

  [out] | name | The name used to identify this joint for HumanIK

Returns:
  Status code (see below)

Status Codes:
  - MS::kSuccess The name was successfully found
  - MS::kFailure The joint is not part of a humanIK handle

MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint
MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint MFnIkJoint